[![telegram](https://img.shields.io/pub/v/telegram.svg?label=telegram&color=blue)](https://pub.dev/packages/telegram)
[![Points](https://img.shields.io/pub/points/telegram)](https://pub.dev/packages/telegram/score)
[![Popularity](https://img.shields.io/pub/popularity/telegram)](https://pub.dev/packages/telegram/score)
[![Likes](https://img.shields.io/pub/likes/telegram)](https://pub.dev/packages/telegram/score)
[![Telegram](https://img.shields.io/badge/Telegram--blue?logo=telegram&logoColor=white)](https://t.me/UsamaSarwar)
[![WhatsApp](https://img.shields.io/badge/WhatsApp--tgreen?logo=whatsapp&logoColor=white)](https://wa.me/923100007773)
[![Contribute Now](https://img.shields.io/badge/Contribute--blue?logo=Github&logoColor=white)](https://github.com/UsamaSarwar/flutter/blob/main/pub/cmd/CONTRIBUTING.md)
[![Donate Now](https://img.shields.io/badge/Donate--blue?logo=buy-me-a-coffee&logoColor=white)](https://www.buymeacoffee.com/UsamaSarwar)

<p align="justify">
A simple and light weight utility for sending messages via Telegram. Telegram is a globally accessible freemium, cross-platform, cloud-based instant messaging service. The service also provides optional end-to-end encrypted chats and video calling, VoIP, file sharing and several other features. </p>

<img align="right" alt="flutter cmd" src="./assets/coding.gif" height="auto" width ="150"/>

## Features

📨 Send Message via Telegram<br>
🔗 Telegram Link Generator<br>
📌 Copy Telegram Link<br>
🔥 _more coming soon..._

## Installation

Add **telegram** as dependency by running the command below:

```bash
flutter pub add telegram
```

**OR**

Add **telegram** this in your `pubspec.yaml`:

```yaml
dependencies:
  telegram:
```

<img align="right" alt="FAQs" src="./assets/faq.png" height="auto" width ="30%"/>

## Usage 📨

```dart
/// Send message via Telegram
Telegram.send(
  username:'UsamaSarwar',
  message:'Thanks for building Telegram Package :)'
);
```
```dart
/// Copy Telegram message Link to clipboard
Telegram.copyLinkToClipboard(
  username:'UsamaSarwar',
  message:'Thanks for building Telegram Package :)'
);
```
```dart
/// Get Telegram message link as String
Telegram.getLink(
  username:'UsamaSarwar',
  message:'Thanks for building Telegram Package :)'
);
```

## Contribution 💙

You are warmly welcome for contributing **telegram** package. Checkout this [contribution guide.](./CONTRIBUTING.md)

<p align="center"> <img src="./assets/contribution.svg" alt="telegram contributions" /> </p>

<p align="center">Open Source Contributor from <b>Punjab, Pakistan</b> 🇵🇰 </p>
<div align="center"><br>
<p><a href="https://www.buymeacoffee.com/UsamaSarwar"> <img align="center" src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" height="40" width="168" alt="Buy me a Coffee ☕" /></a></p>
</div>

<br><p align="center"> <img src="./assets/flutter.jpg" alt="Flutter telegram package" /> </p>
